Accessibility bugs

Bug #1390882 reported by Accessible technologies - all about accessibility on 2014-11-09
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
ubuntu-mate
Undecided
Unassigned

Bug Description

How to reproduce:
1. boot Ubuntu mate and when install screen loads, press ctrl S. Screen reader starts up. Select your language and click on try ubuntu. When desktop is loaded, all known keys for launching screen reader alt super S or ctrl s can't be used.
2. Try to navigate panels by ctrl alt tab, orca don't inform about panel change until you land on selected panel.
3. Applications with sudo and gksu can't be used with orca by default.
All these things works with classic Ubuntu and with Ubuntu Gnome, can you implement these features to Ubuntu Mate?

Added by gravy45 on 4/22/15, where status was already set to Fix Released so this is new:
Pertaining to Ubuntu MATE 15.04 20150422.1 build, 20150422 build, 20150417 build: Super+1, Super+l, Super+L, etc do not start the installation per the QA test case for (Install/Screen Reader).

Martin Wimpress (flexiondotorg) wrote :

Did you try this in Ubuntu MATE 14.10?

Yes, I have Ubuntu Mate 14.10.

acctech.cz administrator

Dne 10. 11. 2014 v 18:36 Martin Wimpress napsal(a):
> Did you try this in Ubuntu MATE 14.10?
>

majid hussain (mhussaincov93) wrote :

I can also conferm these buggs.
running Ubuntu MATE 14.10, could it be something to do with the folowing key? could you test?
org.mate.desktop.interface?
in there it is called
TOOL kit accessability description: weather toolkits should load accessibility related modules aug.gnome.desktop.interface set to false.
would it help if it were set to true?

I set it to true after installation and I set orca screen reader to true
also.

S pozdravem,
Pavel Vlček - Acctech.cz administrator
mail:
<email address hidden>
www:
http://www.acctech.cz/

Dne 11. 11. 2014 v 15:38 majid hussain napsal(a):
> I can also conferm these buggs.
> running Ubuntu MATE 14.10, could it be something to do with the folowing key? could you test?
> org.mate.desktop.interface?
> in there it is called
> TOOL kit accessability description: weather toolkits should load accessibility related modules aug.gnome.desktop.interface set to false.
> would it help if it were set to true?
>

My steps after installation was:
I created the gtk-access.sh file in /etc/profile.d
#!/bin/bash
export GTK_MODULES=gail:atk-bridge
sudo chmod 755 /etc/profile.d/gtk-access.sh

gsettings set org.mate.interface accessibility true
gsettings set org.gnome.desktop.a11y.applications screen-reader-enabled true
Now, I can use gedit which I installed as root for example sudo gedit /etc/brltty.conf, but not pluma sudo pluma /etc/brltty.conf, pluma is opened, but orca says inaccessible or orca is totally silent. And I can report a new bug. Alt plus Tab orca isn't speaking window names. Maybe bug in Mate's core or in orca 3.12.2 which is preinstalled.

S pozdravem,
Pavel Vlček - Acctech.cz administrator
mail:
<email address hidden>
www:
http://www.acctech.cz/

Dne 11. 11. 2014 v 15:38 majid hussain napsal(a):
> I can also conferm these buggs.
> running Ubuntu MATE 14.10, could it be something to do with the folowing key? could you test?
> org.mate.desktop.interface?
> in there it is called
> TOOL kit accessability description: weather toolkits should load accessibility related modules aug.gnome.desktop.interface set to false.
> would it help if it were set to true?
>

A lots of these bugs was fixed in Ubuntu Mate 14.04.1 final.

Changed in ubuntu-mate:
status: New → Fix Released
gravy45 (gravy45) wrote :

Pertaining to Ubuntu MATE 15.04 20150422.1 build, 20150422 build, 20150417 build: Super+1, Super+l, Super+L, etc do not start the installation per the QA test case for (Install/Screen Reader).

description: updated
gravy45 (gravy45) on 2015-04-22
description: updated
Ubuntu QA Website (ubuntuqa) wrote :

This bug has been reported on the Ubuntu ISO testing tracker.

A list of all reports related to this bug can be found here:
http://iso.qa.ubuntu.com/qatracker/reports/bugs/1390882

tags: added: iso-testing
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers